Summary:	Calendar application for GNOME
Summary(pl.UTF-8):	Aplikacja kalendarza dla GNOME
Name:		gnome-calendar
Version:	3.38.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-calendar/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	4f3a2a7d1084e108dbc1158f297cce90
URL:		https://wiki.gnome.org/Apps/Calendar
BuildRequires:	evolution-data-server-devel >= 3.33.2
BuildRequires:	geoclue2-devel >= 2.4
BuildRequires:	geocode-glib-devel >= 3.24.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.58.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.22.0
BuildRequires:	gtk+3-devel >= 3.22.20
BuildRequires:	libdazzle-devel >= 3.33.1
BuildRequires:	libgweather-devel >= 3.28.0
BuildRequires:	libhandy-devel >= 0.0.9
BuildRequires:	libical-devel >= 1.0.1
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.58.0
Requires:	evolution-data-server >= 3.33.2
Requires:	geoclue2 >= 2.4
Requires:	geocode-glib >= 3.24.0
Requires:	glib2 >= 1:2.58.0
Requires:	gnome-online-accounts >= 3.2.0
Requires:	gsettings-desktop-schemas >= 3.22.0
Requires:	gtk+3 >= 3.22.20
Requires:	hicolor-icon-theme
Requires:	libdazzle >= 3.33.1
Requires:	libgweather >= 3.28.0
Requires:	libhandy >= 0.0.9
Requires:	libical >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Calendar is a simple and beautiful calendar application designed
to perfectly fit the GNOME desktop. By reusing the components which
the GNOME desktop is build on, Calendar nicely integrates with the
GNOME ecosystem.

%description -l pl.UTF-8
GNOME Calendar to prosta i ładna aplikacja kalendarza zaprojektowana
tak, aby idealnie pasowała do środowiska GNOME. Poprzez używanie tych
samych komponentów, z których zbudowane jest środowisko, Calendar
ładnie integruje się z ekosystemem GNOME.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md THANKS.md TODO.md
%attr(755,root,root) %{_bindir}/gnome-calendar
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_datadir}/metainfo/org.gnome.Calendar.appdata.xml
%{_desktopdir}/org.gnome.Calendar.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Calendar.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Calendar.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calendar-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Calendar.Devel-symbolic.svg
%changelog
* Sun Oct 04 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-calendar.git;a=log;h=master

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 58dd2bf
- updated to 3.38.1

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 5ac5f2e
- updated to 3.38.0

* Thu Jun 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 5af9803
- updated to 3.36.2

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b28b723
- updated to 3.36.1

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 305d083
- updated to 3.34.2

* Sat May 11 2019 Jan Rękorajski <baggins@pld-linux.org> 033fcab
- up to 3.32.2

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 4d4f7aa
- release 2 (by relup.sh)

* Fri Feb 01 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 27ef456
- Updated to 3.30.1

* Wed Mar 21 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 7b13d56
- Update to 3.28.0

* Thu Oct 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7a7480b
- Update to 3.26.2

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 8d46483
- Update to 3.26.1

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> a009199
- updated to 3.24.3

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 2f705ee
- updated to 3.24.2

* Mon Apr 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b453feb
- Update to 3.24.1

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 39edbba
- Update to 3.24.0

* Tue Feb 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b4746e7
- Update to 3.22.3

* Sun Dec 25 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d05a41b
- Update to 3.22.2

* Sun Oct 02 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b458685
- Update to 3.22.1

* Fri Jun 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 43a8fd2
- updated to 3.20.2

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 42140e2
- Update to 3.20.1

